import request from '@/utils/request'

export function allWashProblem() {
  return request({
    url: '/mapi/cloth/washProblem/all',
    method: 'get',
  })
}

// 查询洗衣问题列表
export function listWashProblem(query) {
  return request({
    url: '/mapi/cloth/washProblem/list',
    method: 'get',
    params: query
  })
}

// 查询洗衣问题详细
export function getWashProblem(id) {
  return request({
    url: '/mapi/cloth/washProblem/' + id,
    method: 'get'
  })
}

// 新增洗衣问题
export function addWashProblem(data) {
  return request({
    url: '/mapi/cloth/washProblem',
    method: 'post',
    data: data
  })
}

// 修改洗衣问题
export function updateWashProblem(data) {
  return request({
    url: '/mapi/cloth/washProblem',
    method: 'put',
    data: data
  })
}

// 删除洗衣问题
export function delWashProblem(id) {
  return request({
    url: '/mapi/cloth/washProblem/' + id,
    method: 'delete'
  })
}


// 修改洗衣问题状态
export function updateWashProblemStatus(id,status) {
  const data = {
    id,
    status
  }
  return request({
    url: '/mapi/cloth/washProblem/updateStatus',
    method: 'post',
    data: data
  })
}
